Skip to main content
POST
/
qwen-image-2.0
/
async
curl --request POST \ --url https://api.modellix.ai/api/v1/alibaba/qwen-image-2.0/async \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "prompt": "A serene Japanese garden with cherry blossoms" } '
{
  "code": 0,
  "message": "success",
  "data": {
    "status": "pending",
    "task_id": "task-abc123",
    "model_id": "model-123",
    "get_result": {
      "method": "GET",
      "url": "https://api.modellix.ai/api/v1/tasks/task-abc123"
    }
  }
}

Authorizations

Authorization
string
header
required

API Key authentication. Format: Bearer YOUR_API_KEY.

Body

application/json
prompt
string
required

Image description text, supports Chinese and English

Required string length: 1 - 800
Example:

"A serene Japanese garden with cherry blossoms"

negative_prompt
string

Negative prompt describing unwanted content

Maximum string length: 500
Example:

"blurry, low quality"

size
enum<string>
default:2048*2048

Image size (format: width*height). Supports larger resolutions than plus/max series

Available options:
2688*1536,
2368*1728,
2048*2048,
1728*2368,
1536*2688
Example:

"2048*2048"

n
integer
default:1

Number of images to generate (1-6)

Required range: 1 <= x <= 6
Example:

1

seed
integer

Random seed for reproducible results

Required range: 0 <= x <= 2147483647
Example:

42

prompt_extend
boolean
default:true

Enable intelligent prompt rewriting

Example:

true

Response

Task submitted successfully

code
integer
required

Response code, 0 indicates success

Example:

0

message
string
required

Response message

Example:

"success"

data
object
required